Bug 487649 - iptables-devel package missing some header files
iptables-devel package missing some header files
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: iptables (Show other bugs)
5.3
All Linux
low Severity high
: ---
: ---
Assigned To: iptables-maint-list
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-27 04:19 EST by Kirby Zhou
Modified: 2009-09-02 07:00 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 07:00:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:1414 normal SHIPPED_LIVE iptables bug fix and enhancement update 2009-09-01 09:33:16 EDT

  None (edit)
Description Kirby Zhou 2009-02-27 04:19:04 EST
As you see, iptables.h includes libiptc/libiptc.h, but where is libiptc/libiptc.h? There is something broken.

[@65.64 SOURCES]# rpm -ql iptables-devel.x86_64 | fgrep include
/usr/include/ip6tables.h
/usr/include/iptables.h
/usr/include/iptables_common.h
/usr/include/libipq.h

[@65.64 SOURCES]# head /usr/include/iptables.h    
#ifndef _IPTABLES_USER_H
#define _IPTABLES_USER_H

#include "iptables_common.h"
#include "libiptc/libiptc.h"

#ifndef IPT_LIB_DIR
#define IPT_LIB_DIR "/usr/lib/iptables"
#endif
Comment 1 Phil Knirsch 2009-03-30 10:03:42 EDT
Easy fix, Devel ACK.

Thanks & regards, Phil
Comment 6 errata-xmlrpc 2009-09-02 07:00:07 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1414.html

Note You need to log in before you can comment on or make changes to this bug.